Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZPageViewQuery Class Reference

## Public Member Functions
| __construct ()

## Static Public Member Functions
static | totalPageViews ()
static | totalPageViewsDay ( $dayObject)
static | totalPageViewsMonth ( $dayObject)
static & | sumBrowserTypeCount ()
static & | latest ( $limit=20, $offset=0)
static & | latestCount ()
static & | topVisitors ( $limit=20, $offset=0)
static & | topVisitorsCount ()
static & | topReferers ( $limit=40, $excludeDomain="", $offset=0)
static & | topReferersCount ( $excludeDomain="")
static & | topBrowsers ( $limit=25, $offset=0)
static & | topBrowsersCount ()
static & | topRequests ( $limit=20, $offset=0)
static & | topRequestsCount ()
static & | topProductRequests ( $limit=20, $offset=0)
static & | topProductAddToCart ( $limit=20, $offset=0)
static & | topProductAddToWishlist ( $limit=20, $offset=0)
static & | yearStats ( $year)
static & | monthStats ( $year, $month)
static & | dayStats ( $year, $month, $day)
static & | topExitPage ( $month, $year)
static & | topEntryPage ( $month, $year)

## Detailed Description

! eZStats The eZPageViewQuery handled queries on the stored page views.

See also
  eZPageView

TODO

Definition at line 44 of file ezpageviewquery.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPageViewQuery::__construct | ( |  | ) |

Constructs a new eZPageViewQuery object.

Definition at line 49 of file ezpageviewquery.php.

## Member Function Documentation

## ◆ dayStats()

static& eZPageViewQuery::dayStats | ( |  | $year,
|  |  | $month,
|  |  | $day
| ) |  |
| static

Returns the statistics for one month.

Returns an array of hours with the statistics as an associative array: array( "Hours" => array( "Count" => $count )

Definition at line 628 of file ezpageviewquery.php.

References $day, $db, $hour, $month, $now, $year, and eZDB\globalDatabase().

## ◆ latest()

static& eZPageViewQuery::latest | ( |  | $limit = `20`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the latest pageviews.

The files are returned as an array of eZPageView objects.

Definition at line 182 of file ezpageviewquery.php.

References $db, $i, $limit, $offset, and eZDB\globalDatabase().

## ◆ latestCount()

static& eZPageViewQuery::latestCount | ( |  | ) |
| static

Returns the latest pageview count.

Definition at line 205 of file ezpageviewquery.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ monthStats()

static& eZPageViewQuery::monthStats | ( |  | $year,
|  |  | $month
| ) |  |
| static

Returns the statistics for one month.

Returns an array of days with the statistics as an associative array: array( "Days" => array( "Count" => $count )

Definition at line 571 of file ezpageviewquery.php.

References $date, $day, $db, $month, $now, $year, and eZDB\globalDatabase().

## ◆ sumBrowserTypeCount()

static& eZPageViewQuery::sumBrowserTypeCount | ( |  | ) |
| static

Return the sum of Count BrowserType

Definition at line 161 of file ezpageviewquery.php.

References $db, $sum, and eZDB\globalDatabase().

## ◆ topBrowsers()

static& eZPageViewQuery::topBrowsers | ( |  | $limit = `25`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the browsers which are most frequent.

The files are returned as an assiciative array of array( ID => $id, Name => $name, Count => $count ).

Definition at line 355 of file ezpageviewquery.php.

References $db, $i, $limit, $offset, and eZDB\globalDatabase().

## ◆ topBrowsersCount()

static& eZPageViewQuery::topBrowsersCount | ( |  | ) |
| static

Returns the number of browsers which are most frequent.

Definition at line 382 of file ezpageviewquery.php.

References $db, and eZDB\globalDatabase().

## ◆ topEntryPage()

static& eZPageViewQuery::topEntryPage | ( |  | $month,
|  |  | $year
| ) |  |
| static

Returns the top entry pages.

Definition at line 696 of file ezpageviewquery.php.

References $db, $month, $year, and eZDB\globalDatabase().

## ◆ topExitPage()

static& eZPageViewQuery::topExitPage | ( |  | $month,
|  |  | $year
| ) |  |
| static

Returns the top exit pages.

Definition at line 668 of file ezpageviewquery.php.

References $db, $month, $query, $year, and eZDB\globalDatabase().

## ◆ topProductAddToCart()

static& eZPageViewQuery::topProductAddToCart | ( |  | $limit = `20`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the most frequent products added to the cart.

Definition at line 470 of file ezpageviewquery.php.

References $db, $i, $limit, $offset, and eZDB\globalDatabase().

## ◆ topProductAddToWishlist()

static& eZPageViewQuery::topProductAddToWishlist | ( |  | $limit = `20`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the most frequent products added to the wishlist.

Definition at line 499 of file ezpageviewquery.php.

References $db, $i, $limit, $offset, and eZDB\globalDatabase().

## ◆ topProductRequests()

static& eZPageViewQuery::topProductRequests | ( |  | $limit = `20`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the most frequent viewed products.

Definition at line 440 of file ezpageviewquery.php.

References $db, $i, $limit, $offset, and eZDB\globalDatabase().

## ◆ topReferers()

static& eZPageViewQuery::topReferers | ( |  | $limit = `40`,
|  |  | $excludeDomain = `""`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the referers which are most frequent.

The files are returned as an assiciative array of array( Domain => $domain, URI => $uri, Count => $count ).

Definition at line 290 of file ezpageviewquery.php.

References $db, $i, $limit, $offset, $query, and eZDB\globalDatabase().

## ◆ topReferersCount()

static& eZPageViewQuery::topReferersCount | ( |  | $excludeDomain = `""` | ) |
| static

Returns the number of referers which are most frequent.

Definition at line 325 of file ezpageviewquery.php.

References $db, $query, and eZDB\globalDatabase().

## ◆ topRequests()

static& eZPageViewQuery::topRequests | ( |  | $limit = `20`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the requests which is most frequent.

The files are returned as an assiciative array of array( ID => $id, URI => $uri, Count => $count ).

Definition at line 400 of file ezpageviewquery.php.

References $db, $i, $limit, $offset, and eZDB\globalDatabase().

## ◆ topRequestsCount()

static& eZPageViewQuery::topRequestsCount | ( |  | ) |
| static

Returns the number of requests which are most frequent.

Definition at line 425 of file ezpageviewquery.php.

References $db, and eZDB\globalDatabase().

## ◆ topVisitors()

static& eZPageViewQuery::topVisitors | ( |  | $limit = `20`,
|  |  | $offset = `0`
| ) |  |
| static

Returns the visitors which has viewed most pages.

The files are returned as an assiciative array of array( ID => $id, IP => $ip, HostName => $hostName, Count => $count ).

Definition at line 226 of file ezpageviewquery.php.

References $count, $db, $i, $id, $limit, $offset, $result, eZPageView\getHostByAddr(), and eZDB\globalDatabase().

## ◆ topVisitorsCount()

static& eZPageViewQuery::topVisitorsCount | ( |  | ) |
| static

Returns the number of visitors which has viewed most pages.

Definition at line 273 of file ezpageviewquery.php.

References $db, and eZDB\globalDatabase().

## ◆ totalPageViews()

static eZPageViewQuery::totalPageViews | ( |  | ) |
| static

Returns the total number of pageviews.

Definition at line 56 of file ezpageviewquery.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ totalPageViewsDay()

static eZPageViewQuery::totalPageViewsDay | ( |  | $dayObject | ) |
| static

Returns the total number of pageviews on the given date.

returns 0 if the argument is not a eZDate object.

Definition at line 73 of file ezpageviewquery.php.

References $day, $db, $month, $ret, $year, and eZDB\globalDatabase().

## ◆ totalPageViewsMonth()

static eZPageViewQuery::totalPageViewsMonth | ( |  | $dayObject | ) |
| static

Returns the total number of pageviews on the given month.

returns 0 if the argument is not a eZDate object.

Definition at line 119 of file ezpageviewquery.php.

References $db, $month, $ret, $year, and eZDB\globalDatabase().

## ◆ yearStats()

static& eZPageViewQuery::yearStats | ( |  | $year | ) |
| static

Returns the statistics for one year.

Returns an array of months with the statistics as an associative array: array( "Months" => array( "Count" => $count )

Definition at line 532 of file ezpageviewquery.php.

References $db, $month, $now, $year, and eZDB\globalDatabase().

The documentation for this class was generated from the following file:

- ezpageviewquery.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.